[PC-BSD Commits] r3208 - in pbibuild/modules/enemyterritory: . overlay-dir

svn at pcbsd.org svn at pcbsd.org
Thu Jan 8 14:51:47 PST 2009


Author: kris
Date: 2009-01-08 14:51:46 -0800 (Thu, 08 Jan 2009)
New Revision: 3208

Modified:
   pbibuild/modules/enemyterritory/overlay-dir/PBI.RemoveScript.sh
   pbibuild/modules/enemyterritory/overlay-dir/PBI.SetupScript.sh
   pbibuild/modules/enemyterritory/pbi.conf
Log:

Updated Enemy Territory, now 100% self-contained, and works with sound!!!



Modified: pbibuild/modules/enemyterritory/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/enemyterritory/overlay-dir/PBI.RemoveScript.sh	2009-01-08 21:14:44 UTC (rev 3207)
+++ pbibuild/modules/enemyterritory/overlay-dir/PBI.RemoveScript.sh	2009-01-08 22:51:46 UTC (rev 3208)
@@ -6,11 +6,6 @@
 # ${2} is the username of person performing the deletion.
 # TIP: 'kdialog' should be used for user interaction. 
 #########################################
-rm -r /usr/local/share/enemyterritory
-rm -r /usr/local/share/doc/enemyterritory
-rm /usr/local/bin/et
-rm /usr/local/bin/etded
-rm -r /compat/linux/usr/share/enemyterritory
 
 if [ ! -z "$DISPLAY" ]
 then

Modified: pbibuild/modules/enemyterritory/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/enemyterritory/overlay-dir/PBI.SetupScript.sh	2009-01-08 21:14:44 UTC (rev 3207)
+++ pbibuild/modules/enemyterritory/overlay-dir/PBI.SetupScript.sh	2009-01-08 22:51:46 UTC (rev 3208)
@@ -15,21 +15,20 @@
 # echo 'MSG: <text>' # Display this text above progress bar
 #########################################
 
-PROG_PATH="/Programs/${PROGDIR}"
-sed "s/PROGDIR/${PROGDIR}/g" ${PROG_PATH}/bin/et.sh > ${PROG_PATH}/bin/et.sh.1
-mv ${PROG_PATH}/bin/et.sh.1 ${PROG_PATH}/bin/et.sh
-sed "s/PROGDIR/${PROGDIR}/g" ${PROG_PATH}/bin/etded.sh > ${PROG_PATH}/bin/etded.sh.1
-mv ${PROG_PATH}/bin/etded.sh.1 ${PROG_PATH}/bin/etded.sh
-chmod 7755 ${PROG_PATH}/bin/et*
+# Check which font config we want to link to
+if [ -d "/PCBSD/local/etc/fonts" ]
+then
+  ln -s /PCBSD/local/etc/fonts /Programs/${PROGDIR}/etc/fonts
+else
+  ln -s /usr/local/etc/fonts /Programs/${PROGDIR}/etc/fonts
+fi
 
-ln -s /Programs/${PROGDIR}/.sbin/et.sh /usr/local/bin/et
-ln -s /Programs/${PROGDIR}/.sbin/etded.sh /usr/local/bin/etded
-ln -s /Programs/${PROGDIR}/share/enemyterritory /usr/local/share/enemyterritory
-ln -s /Programs/${PROGDIR}/share/doc/enemyterritory /usr/local/share/doc/enemyterritory
+# Set our sysctl for linux sound, so that it works in ET
+sysctl hw.snd.compat_linux_mmap=1
 
-if [ -f /compat/linux/usr/share/enemyterritory ]
-then
-	rm -r //compat/linux/usr/share/enemyterritory
+cat /etc/sysctl.conf | grep "hw.snd.compat_linux_mmap=1" >/dev/null 2>/dev/null
+if [ "$?" != "0" ]
+the
+  echo "hw.snd.compat_linux_mmap=1" >> /etc/sysctl.conf
 fi
-ln -s /Programs/${PROGDIR}/share/enemyterritory /compat/linux/usr/share/enemyterritory
 

Modified: pbibuild/modules/enemyterritory/pbi.conf
===================================================================
--- pbibuild/modules/enemyterritory/pbi.conf	2009-01-08 21:14:44 UTC (rev 3207)
+++ pbibuild/modules/enemyterritory/pbi.conf	2009-01-08 22:51:46 UTC (rev 3208)
@@ -32,6 +32,6 @@
 
 # Build Key - Change this to anything else to trigger a rebuild 
 #           - The rebuild will take place even if port is still the same ver
-BUILDKEY="03"
+BUILDKEY="01"
 
 export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY



More information about the Commits mailing list